CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[foam-extend.org] ubuntu22.04 install gcc-5.5 failed

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   July 19, 2023, 09:30
Unhappy ubuntu22.04 install gcc-5.5 failed
  #1
New Member
 
Xiangyu Liu
Join Date: Jul 2023
Posts: 1
Rep Power: 0
studyhardhardhard is on a distinguished road
Hello, everyone!
First of all, my computer is Ubuntu 22.04, not a virtual machine in windows. It contains a lot of personal content, and I don't want to reinstall the system.
Now, I want to install openfoam Fluid-structure interaction module. from this : https://openfoamwiki.net/index.php/E...re_interaction. I have to install foam-extend-4.0.
Then I read this : Install foam-extend-4.0 on Ubuntu 20.04.1 LTS.

I tried to compile GCC 5.5 from source following the instructions above, but I encountered failures. The make compilation process always resulted in errors:
error: use of an operand of type ‘bool’ in ‘operator++’ is forbidden in C++17

I understand that the reason for my mistake is using a higher version of g++; I used g++11.
Now, my problem has turned into the inability to successfully install or compile GCC 5.5 on Ubuntu 22.04. I have searched a lot of content on Google, but their solutions are very vague and not specific, completely unable to solve my problem.

I feel very confused. It's already halfway through 2023, and using the fluid-structure interaction module on Ubuntu 22.04 is still so difficult. I would be extremely grateful if someone could help me.

Best regards!
studyhardhardhard is offline   Reply With Quote

Old   July 28, 2023, 18:34
Default
  #2
New Member
 
John
Join Date: Nov 2013
Location: USA
Posts: 22
Rep Power: 12
Gallienus is on a distinguished road
Just got a new computer up and running on Ubuntu 22.04. Linux only, no duel boot. Apparently, 22.04 is very problematic & I am certainly having issues with 22.04.

Last edited by Gallienus; July 31, 2023 at 16:30.
Gallienus is offline   Reply With Quote

Reply

Tags
foam-extend-4.0, gcc, install, ubuntu22.04

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Transient boundary conditions Jarrod Sinclair (Sinclair) OpenFOAM Running, Solving & CFD 133 May 6, 2015 06:21
Gcc conflict install inddzen OpenFOAM Installation 2 December 11, 2007 16:00
user subroutine error CFDUSER CFX 2 December 9, 2006 06:31
user defined function cfduser CFX 0 April 29, 2006 10:58
Gerris software installation mer Main CFD Forum 2 November 12, 2005 08:50


All times are GMT -4. The time now is 18:23.